classification
Title: Documented type of parameter 'itemsize' to PyBuffer_FillContiguousStrides is incorrect.
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, berker.peksag, docs@python, snoeberger, vyas45
Priority: normal Keywords: easy, patch

Created on 2017-10-11 00:18 by snoeberger, last changed 2017-10-16 18:26 by berker.peksag. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3993 merged vyas45, 2017-10-14 07:17
PR 4005 merged python-dev, 2017-10-15 07:31
PR 4011 closed vyas45, 2017-10-16 17:21
PR 4012 merged vyas45, 2017-10-16 18:15
Messages (8)
msg304096 - (view) Author: Robert Snoeberger (snoeberger) Date: 2017-10-11 00:18
The signature for PyBuffer_FillContiguousStrides in the documentation shows that the type of parameter 'itemsize' is Py_ssize_t [1]. This is different from the signature in Include/abstract.h which shows that the type as int [2].


[1] https://docs.python.org/3/c-api/buffer.html#c.PyBuffer_FillContiguousStrides
[2] https://github.com/python/cpython/blob/49b2734bf12dc1cda80fd73d3ec8896ae3e362f2/Include/abstract.h#L559-L563
msg304355 - (view) Author: Aniket Vyas (vyas45) * Date: 2017-10-13 20:23
Hello !  I am new to the community and would love to start my contribution here. Can I take up this bug ? 

In order to do so I am going through the following links: 

https://docs.python.org/devguide/docquality.html
https://docs.python.org/devguide/pullrequest.html

Is the list exhaustive for this particular issue ? 

Thanks !
msg304360 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-10-13 20:54
Welcome Aniket. Yes those two links are good starting points.
Please propose a PR with the fix.
msg304385 - (view) Author: Aniket Vyas (vyas45) * Date: 2017-10-14 07:29
Thanks Mariatta. I have initiated a PR for the issue. 

https://github.com/python/cpython/pull/3993
msg304424 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-10-15 07:31
New changeset 1b9e76ed3a055a53ca67397e928e1b408461900b by Berker Peksag (vyas45) in branch 'master':
bpo-31754: Fix type of 'itemsize' in PyBuffer_FillContiguousStrides (GH-3993)
https://github.com/python/cpython/commit/1b9e76ed3a055a53ca67397e928e1b408461900b
msg304425 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-10-15 07:37
New changeset e881302b70ab36bafcf37e3917be118bbec97763 by Berker Peksag (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-31754: Fix type of 'itemsize' in PyBuffer_FillContiguousStrides (GH-3993)
https://github.com/python/cpython/commit/e881302b70ab36bafcf37e3917be118bbec97763
msg304479 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-10-16 18:23
New changeset 50cef52372381a9e2f3d760497d8db76254cffef by Berker Peksag (vyas45) in branch '2.7':
[2.7] bpo-31754: Fix type of 'itemsize' in PyBuffer_FillContiguousStrides (GH-3993)
https://github.com/python/cpython/commit/50cef52372381a9e2f3d760497d8db76254cffef
msg304480 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-10-16 18:26
Thank you for the report, Robert and thank you for the patches, Aniket.
History
Date User Action Args
2017-10-16 18:26:06berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg304480

stage: patch review -> resolved
2017-10-16 18:23:46berker.peksagsetmessages: + msg304479
2017-10-16 18:15:20vyas45setpull_requests: + pull_request3986
2017-10-16 17:21:03vyas45setstage: backport needed -> patch review
pull_requests: + pull_request3985
2017-10-15 07:47:26berker.peksagsetstage: patch review -> backport needed
2017-10-15 07:37:09berker.peksagsetmessages: + msg304425
2017-10-15 07:34:44berker.peksagsettype: behavior
2017-10-15 07:31:45python-devsetpull_requests: + pull_request3978
2017-10-15 07:31:38berker.peksagsetnosy: + berker.peksag
messages: + msg304424
2017-10-14 07:29:47vyas45setmessages: + msg304385
2017-10-14 07:17:49vyas45setkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request3969
2017-10-13 20:54:50Mariattasetnosy: + Mariatta
messages: + msg304360
2017-10-13 20:23:19vyas45setnosy: + vyas45
messages: + msg304355
2017-10-11 08:45:47serhiy.storchakasetkeywords: + easy
stage: needs patch
versions: + Python 2.7, Python 3.7
2017-10-11 00:18:47snoebergercreate